
body {
    height: 100%;
    background-color: #8a410e;
}
h1,h2,h4,h5,p {
    text-align: center;
    color: #ffffff;
    font-family: "Comic Sans MS", cursive, sans-serif;
}
img {
    width: 100%;
}
#error {
    display: none;
}

button {
    background: none;
    border: 0;
    box-sizing: border-box;
    margin: 1em;
    padding: 1em 2em;
    box-shadow: inset 0 0 0 2px #f45e61;
    color: #f45e61;
    font-size: inherit;
    font-weight: 700;
    position: relative;
    vertical-align: middle;
}
button::before, button::after {
    box-sizing: inherit;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
}
#distance {
    display: block;
    margin: 0 auto;
}
.sort-coffee button {
    border-color: #ffffff;
    box-shadow: inset 0 0 0 2px #ffffff;
    color: #ffffff;
}

.spin {
    width: 5em;
    height: 5em;
    padding: 0;
}
.spin:hover {
    color: #ffffff;
}
.spin::before, .spin::after {
    top: 0;
    left: 0;
}
.spin::before {
    border: 2px solid transparent;
}
.spin:hover::before {
    border-top-color: #ffffff;
    border-right-color: #ffffff;
    border-bottom-color: #ffffff;
    -webkit-transition: border-top-color 0.15s linear, border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
    transition: border-top-color 0.15s linear, border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
}
.spin::after {
    border: 0 solid transparent;
}
.spin:hover::after {
    border-top: 2px solid #ffffff;
    border-left-width: 2px;
    border-right-width: 2px;
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg);
    -webkit-transition: border-left-width 0s linear 0.35s, -webkit-transform 0.4s linear 0s;
    transition: border-left-width 0s linear 0.35s, -webkit-transform 0.4s linear 0s;
    transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s;
    transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s, -webkit-transform 0.4s linear 0s;
}

.circle {
    border-radius: 100%;
    box-shadow: none;
    margin: 0 auto;
    display: block;
    color: #fff;
    font-size: 15px;
}
.circle::before, .circle::after {
    border-radius: 100%;
}
/* Buzz */
@-webkit-keyframes venue {
    50% {
        -webkit-transform: translateX(3px) rotate(2deg);
        transform: translateX(3px) rotate(2deg);
    }
    100% {
        -webkit-transform: translateX(-3px) rotate(-2deg);
        transform: translateX(-3px) rotate(-2deg);
    }
}
@keyframes venue {
    50% {
        -webkit-transform: translateX(3px) rotate(2deg);
        transform: translateX(3px) rotate(2deg);
    }
    100% {
        -webkit-transform: translateX(-3px) rotate(-2deg);
        transform: translateX(-3px) rotate(-2deg);
    }
}
.venue {
    display: inline-block;
    border-bottom: 1px solid #ffffff;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px transparent;
}
.venue:hover, .venue:focus, .venue:active {
    -webkit-animation-name: venue;
    animation-name: venue;
    -webkit-animation-duration: 0.15s;
    animation-duration: 0.15s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}
@-webkit-keyframes hvr-pulse {
    25% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
    75% {
        -webkit-transform: scale(0.9);
        transform: scale(0.9);
    }
}
@keyframes hvr-pulse {
    25% {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
    75% {
        -webkit-transform: scale(0.9);
        transform: scale(0.9);
    }
}
.hvr-pulse {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px transparent;
}
.hvr-pulse:hover, .hvr-pulse:focus, .hvr-pulse:active {
    -webkit-animation-name: hvr-pulse;
    animation-name: hvr-pulse;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}

.footer p {
   padding: 10px 10px;
}